var form_entrada = $('#frContrato').serialize();

SelectHistoricoContrato($('#id_evento').val());

$(document).on('click', '#btnSalvarContrato', function () {

    var id_evento = $('#id_evento').val();

    var form = $('#frContrato').serialize();

    if (form == form_entrada) {

        return false;

    }

    form_entrada = $('#frContrato').serialize();

    var validacao = $('#edtNomeContrato').val() + $('#edtCpf').val() + $('#edtRg').val() + $('#edtCEP').val() + $('#edtEndereco').val() + $('#edtBairro').val() + $('#edtCidade').val();
    var Contrato = new ClassContrato();

    if ($('#edtCpf').val() != '')
        if (!valida_cpf($('#edtCpf').val())) {
            show('CPF não confere verifique!');
            return false;
        }

    if (!validacao) {
        Contrato.Delete(id_evento);
    } else {
        Contrato.Update(form, id_evento);
    }
    return false;

});



//var furmulario = $('#formConfigurar').serialize();
$(document).on('click', '#btnSalvarLayout',function(){
    var id_empresa = $(this).attr('id_empresa');
    var tipo = $(this).attr('tipo');
    var from = myNicEditor.instanceById('edtHTML').getContent();
  
    SalvarLayoutContrato(tipo, from, id_empresa);
    return false;
});


$(document).on('click','.btnDeletarContrato', function () {
    if (confirm('Gostaria de apagar o contrato atual? O contrato padrão entrar em vigor')) {
        var id_empresa = $(this).attr('id_empresa');
        var tipo = $(this).attr('tipo');
        DeletarContrato(tipo, id_empresa);
        //$(location).attr('href','?p=config_contrato');
    }
    return false;
});


function Validar(cpf) {
    if (!valida_cpf(cpf)) {
        //alert('CPF não confere verifique!');
    }

}





function DeletarContrato(tipo, id_empresa) {
    $.ajax({
        type: "POST",
        url: "evento/contrato/ax.contrato.php",
        data: 'ax=DeletarContrato&id_empresa=' + id_empresa + '&tipo=' + tipo,
        beforeSend: function () {
            $("#pnTipo" + tipo).html('<img src="img/salvando.gif"/>').fadeIn('slow');
        },
        success: function (R) {
            $("#pnTipo" + tipo).html(R).fadeIn('slow');
        },
        error: function (R) {
            $("#pnTipo" + tipo).html('Erro ao Deletar!').fadeIn('slow');
            $("#pnTipo" + tipo).addClass('ui-state-error ui-corner-all');
        }
    }); //fim ajax	

}

function SelectHistoricoContrato(id_evento) {
    $.ajax({
        type: "POST",
        url: "evento/contrato/ax.contrato.php",
        data: 'ax=SelectHistoricoContrato&id_evento=' + id_evento,
        beforeSend: function () {
            $("#pnHistoricoPrintContrato").html('<img src="img/salvando.gif"/>').fadeIn('slow');
        },
        success: function (R) {
            $("#pnHistoricoPrintContrato").html(R).fadeIn('slow');
        },
        error: function (R) {
            $("#pnHistoricoPrintContrato").html('Erro ao Deletar!').fadeIn('slow');
            $("#pnHistoricoPrintContrato").addClass('ui-state-error ui-corner-all');
        }
    }); //fim ajax	

}


function InsertHistorioPrintContrato(id_evento, valor) {
    $.ajax({
        type: "POST",
        url: "evento/contrato/ax.contrato.php",
        data: 'ax=InsertHistorioPrintContrato&id_evento=' + id_evento + '&valor=' + valor
    }); //fim ajax	

}



function SalvarLayoutContrato(tipo, from, id_empresa) {
    $.ajax({
        type: "POST",
        url: "evento/contrato/ax.contrato.php",
        data:{
            ax:'SalvarContratoLayout',
            id_empresa:id_empresa,
            tipo:tipo,
            edtHTML:from
        },
//        data: 'ax=SalvarContratoLayout&id_empresa=' + id_empresa + '&tipo=' + tipo + '&edtHTML=' + from,
        beforeSend: function () {
            $("#pnRetornoSalvaLayout").html('<img src="img/salvando.gif"/>').fadeIn('slow');
        },
        success: function (R) {
            $("#pnRetornoSalvaLayout").html('Salvo com sucesso.').fadeIn('slow');
            $("#pnRetornoSalvaLayout").addClass('ui-state-highlight ui-corner-all');

            // runEffect('#pnRetornoSalvaLayout', 6, 6000);
            setTimeout(function () {
                $("#pnRetornoSalvaLayout").hide('blind', {}, 500);
            }, 4000);
        },
        error: function (R) {
            $("#pnRetornoSalvaLayout").html('Falha ao salvar verifique, ou tente novamente!').fadeIn('slow');
            $("#pnRetornoSalvaLayout").addClass('ui-state-error ui-corner-all');
        }

    }); //fim ajax	
}



function ClassContrato() {

    this.Update = function (from, id_evento) {

        $.ajax({
            type: "POST",
            url: "evento/contrato/ax.contrato.php",
            data: from + '&ax=SalvarContrato&id_evento=' + id_evento,
            beforeSend: function () {
                $("#pnRetornoContrato").html('<img src="img/salvando.gif"/>').fadeIn('slow');
            },
            success: function (R) {
                $("#pnRetornoContrato").html('Salvo com sucesso.').fadeIn('slow');
                $("#pnRetornoContrato").addClass('ui-state-highlight ui-corner-all');
                runEffect('#pnRetornoContrato', 6, 6000);

            },
            error: function (R) {
                $("#pnRetornoContrato").html('Falha ao salvar verifique, ou tente novamente!').fadeIn('slow');

                $("#pnRetornoContrato").addClass('ui-state-error ui-corner-all');

            }

        }); //fim ajax
    };


    this.Delete = function (id_evento) {
        $.ajax({
            type: "POST",
            url: "evento/contrato/ax.contrato.php",
            data: 'ax=DeleteContrato&id_evento=' + id_evento,
            beforeSend: function () {
                $("#pnRetornoContrato").html('<img src="img/salvando.gif"/>').fadeIn('slow');
            },
            success: function (R) {
                $("#pnRetornoContrato").html('Salvo com sucesso.').fadeIn('slow');

                $("#pnRetornoContrato").addClass('ui-state-highlight ui-corner-all');

                runEffect('#pnRetornoContrato', 6, 6000);
            },
            error: function (R) {
                $("#pnRetornoContrato").html('Falha ao salvar verifique, ou tente novamente!').fadeIn('slow');

                $("#pnRetornoContrato").addClass('ui-state-error ui-corner-all');

            }

        }); //fim ajax
    };


}